<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2015 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
        package="com.google.android.car.kitchensink"
        android:sharedUserId="android.uid.system">
    <uses-sdk
        android:minSdkVersion="24"
        android:targetSdkVersion='25'/>
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
    <uses-permission android:name="android.car.permission.CAR_SPEED" />
    <uses-permission android:name="android.car.permission.CAR_MILEAGE" />
    <uses-permission android:name="android.car.permission.CAR_ENERGY" />
    <uses-permission android:name="android.car.permission.CONTROL_CAR_CLIMATE" />
    <uses-permission android:name="android.car.permission.CAR_MOCK_VEHICLE_HAL" />
    <uses-permission android:name="android.car.permission.CAR_CAMERA" />
    <uses-permission android:name="android.car.permission.CAR_NAVIGATION_MANAGER"/>
    <uses-permission android:name="android.car.permission.CAR_CONTROL_AUDIO_VOLUME"/>
    <uses-permission android:name="android.car.permission.VEHICLE_DYNAMICS_STATE"/>
    <uses-permission android:name="android.car.permission.CAR_DISPLAY_IN_CLUSTER"/>
    <uses-permission android:name="android.car.permission.STORAGE_MONITORING" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.MANAGE_USB" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <uses-permission android:name="android.permission.WRITE_SECURE_SETTINGS" />
    <uses-permission android:name="android.permission.SEND_SMS" />
    <uses-permission android:name="android.permission.READ_SMS"/>
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CONNECTIVITY_USE_RESTRICTED_NETWORKS" />
    <uses-permission android:name="android.permission.INJECT_EVENTS" />

    <application android:label="@string/app_title"
        android:icon="@drawable/ic_launcher">
        <uses-library android:name="android.test.runner" />


        <!-- This is for embedded mode. -->
        <activity android:name=".KitchenSinkActivity"
            android:theme="@style/KitchenSinkActivityTheme"
            android:label="@string/app_title">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            <meta-data android:name="distractionOptimized" android:value="true"/>
        </activity>

        <meta-data
            android:name="android.car.application"
            android:resource="@xml/automotive_app_desc" />

        <service android:name=".job.DishService"
            android:permission="android.permission.BIND_JOB_SERVICE">
        </service>

        <activity android:name=".setting.CarServiceSettingsActivity"
            android:label="@string/car_settings">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
            </intent-filter>
        </activity>

        <activity android:name=".orientation.LandscapeActivity"
            android:label="@string/landscpae_activity"
            android:screenOrientation="landscape">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
            </intent-filter>
        </activity>

        <activity android:name=".orientation.PortraitActivity"
            android:label="@string/portrait_activity"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
            </intent-filter>
        </activity>

        <activity android:name=".setting.UsbHostManagementActivity"
                  android:theme="@android:style/Theme.Material.Light.Dialog"
                  android:launchMode="singleTop">
        </activity>
        <activity android:name=".cluster.FakeClusterNavigationActivity"
                  android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
                  android:launchMode="singleInstance"
                  android:resizeableActivity="true"
                  android:allowEmbedded="true"
                  android:permission="android.car.permission.CAR_INSTRUMENT_CLUSTER_CONTROL">
            <intent-filter android:priority="-1">
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <category android:name="android.car.cluster.NAVIGATION"/>
            </intent-filter>
        </activity>

        <activity android:name=".activityview.ActivityViewTestFragment"/>

        <!-- temporary solution until b/68882625 is fixed. -->
        <receiver android:name=".touchsound.DisableTouchSoundOnBoot"  android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED"/>
            </intent-filter>
        </receiver>
    </application>
</manifest>
